// Credits are given at each shader

// Duf Knien + Total Conversion by me :D
textures/ut4_italy/sky1
{ 
  qer_editorimage textures/ut4_boxcity/boxcity-sky.tga
  q3map_globaltexture
  q3map_backsplash 0 0 
  //qer_trans .5

  q3map_sun 1 1 1 2000 220 70

  surfaceparm sky
  surfaceparm nolightmap
  surfaceparm noimpact
  surfaceparm nomarks

  skyparms env/ut4_italy/rockyvalley - -
}

// By Delirium
textures/ut4_italy/watercaulk
{
  qer_editorimage textures/ut4_italy/watercaulk.tga
  qer_trans 0.5
  surfaceparm nodraw
  surfaceparm detail
  surfaceparm noimpact
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm water
}

// By Del
textures/ut4_italy/water
{
  qer_editorimage textures/ut4_italy/water.tga
  qer_trans 0.5
  q3map_globaltexture

  surfaceparm trans
  surfaceparm noimpact
  surfaceparm nolightmap
  surfaceparm nomarks
  surfaceparm nodlight
  surfaceparm water

  cull disable
  nopicmip

  deformVertexes wave 2048 sin 0 .75 0 .5
  
  {
    map textures/ut4_italy/water.tga
    blendFunc gl_dst_color gl_one
    rgbGen identity
    tcMod scale 0.5 0.5
    tcMod turb 0.05 0.05 0.05 0.05
  }
  {
    map textures/ut4_italy/water.tga
    blendFunc gl_dst_color gl_one
    rgbGen identity
    tcMod scroll 0.05 -0.01
  }
  {
    map textures/ut4_italy/water.tga
    blendFunc gl_dst_color gl_one
    rgbGen identity
    tcMod scale 2 2
    tcMod turb 0 0.05 .5 0.05
  }

}

// By Del
textures/ut4_italy/water_flow
{
   qer_editorimage textures/ut4_italy/water_flow.tga
  //qer_trans 0.5
  q3map_globaltexture
   //q3map_cheapwater 1 0.9 0.9 1

  surfaceparm trans
   surfaceparm noimpact
   surfaceparm nolightmap
   surfaceparm nomarks
   surfaceparm nodlight
  surfaceparm water

  cull disable
  nopicmip

  {
    map textures/ut4_italy/water.tga
    blendFunc gl_dst_color gl_one
    rgbGen identity
    tcMod scroll 0 1
  }
  {
    map textures/ut4_italy/water.tga
    blendFunc gl_dst_color gl_one
    rgbGen identity
    tcMod scroll 0 .8
  }
 
}

// Myself :O
textures/ut4_italy/poster1
{
  polygonOffset
  nomipmaps
  nopicmip
  entityMergable
  {
    map textures/ut4_italy/poster1
  }
  {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
  }
}

// Myself :O
textures/ut4_italy/poster2
{
  polygonOffset
  nomipmaps
  nopicmip
  entityMergable
  {
    map textures/ut4_italy/poster2
  }
  {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
  }
}

// Riches
textures/ut4_italy/rail1
{
  qer_editorimage textures/ut4_italy/rail1
  qer_alphafunc gequal 0.5
  surfaceparm alphashadow
  surfaceparm metalsteps
  surfaceparm nonsolid
  surfaceparm nomarks
  nomipmaps
  nopicmip
  cull disable
  {
    map textures/ut4_italy/rail1
    alphaFunc GE128
    depthWrite
    rgbGen vertex
  }
}

// From foliage.shader
textures/ut4_italy/ivy
{
  qer_alphafunc gequal 0.5
  surfaceparm trans
  surfaceparm alphashadow
  surfaceparm nonsolid
  surfaceparm nomarks
  nopicmip
  polygonOffset
  entityMergable
  deformVertexes wave 5 sin 0 .2 0 .3
  {
    map textures/ut4_italy/ivy.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
    rgbGen identity
  }
}

// From foliage.shader
textures/ut4_italy/ivy_static
{
  qer_editorimage textures/ut4_italy/ivy
  qer_alphafunc gequal 0.5
  surfaceparm trans
  surfaceparm alphashadow
  surfaceparm nonsolid
  surfaceparm nomarks
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/ivy.tga
     alphaFunc GE128
  }
  {
    map $lightmap
    blendfunc filter
    depthFunc equal
    rgbGen identity
  }
}

textures/ut4_italy/grass1
{
  qer_editorimage textures/ut4_italy/cg_grass1.jpg
  {
    map textures/ut4_italy/cg_grass1.jpg
  }
  {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
  }
}

textures/ut4_italy/grass1_noshadow
{
  qer_editorimage textures/ut4_italy/cg_grass1.jpg
  {
    map textures/ut4_italy/cg_grass1.jpg
  }
}

// From riches_alpha_bk.shader
textures/ut4_italy/r_whitegate1_512
{
  qer_editorimage textures/riches_alpha/r_whitegate1_512.tga
  qer_alphafunc gequal 0.5
  surfaceparm alphashadow
  surfaceparm metalsteps
  surfaceparm nomarks  
  surfaceparm noimpact
  nomipmaps
  nopicmip
  cull disable
  {
    map textures/riches_alpha/r_whitegate1_512.tga
    alphaFunc GE128
    depthWrite
    rgbGen vertex
  }
}

// Copied from riches_alpha_bk.shader
textures/ut4_italy/tree1
{
  qer_editorimage textures/ut4_italy/tree1
  qer_alphafunc gequal 0.5
  surfaceparm alphashadow
  surfaceparm nomarks  
  surfaceparm noimpact
  nomipmaps
  nopicmip
  cull disable
  deformVertexes autoSprite2
  {
    map textures/ut4_italy/tree1
    alphaFunc GE128
    depthWrite
    rgbGen vertex
  }
}

// austria.shader
textures/ut4_italy/window1
{
  qer_editorimage textures/ut4_italy/window1
  {
    map textures/effects/tinfx.tga
    tcGen environment 
  }
  {
    map textures/ut4_italy/window1
    blendfunc blend
  }
  {
    map $lightmap 
    blendfunc gl_dst_color gl_src_color
    tcGen lightmap 
  }
}

textures/ut4_italy/cards1
{
  qer_editorimage textures/ut4_italy/cards1
  qer_alphafunc gequal 0.5
  surfaceparm nomarks
  surfaceparm noimpact
  nomipmaps
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/cards1
    alphaFunc GE128
    depthWrite
    rgbGen vertex
  }
}

models/mapobjects/br_computers/br_laptopscreen
{
  qer_editorimage textures/ut4_italy/laptop1
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/laptop1
  }
}

textures/ut4_italy/glass1
{
  qer_trans 0.5
  {
    map textures/effects/tinfx.tga
    tcGen environment
    blendfunc GL_ONE GL_ONE
  }
  {
    map textures/ut4_italy/glass1.tga
    tcGen environment
    tcMod turb 0 0.01 0 0.01
    tcmod scroll .01 .01
    blendfunc GL_ONE GL_ONE
  }
  {
    map $lightmap 
    blendfunc gl_dst_color gl_src_color
    tcGen lightmap 
  }
}

// ============================================================================
// ================================ SIGNS =====================================
// ============================================================================

textures/ut4_italy/nocamping
{
  qer_editorimage textures/ut4_italy/nocamping
  surfaceparm nomarks
  surfaceparm noimpact
  nomipmaps
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/nocamping
    alphaFunc GE128
    depthWrite
    rgbGen vertex
  }
}

textures/ut4_italy/closed1
{
  qer_editorimage textures/ut4_italy/sign1.jpg
  surfaceparm nomarks
  surfaceparm noimpact
  nomipmaps
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/sign1.jpg
    alphaFunc GE128
    depthWrite
    rgbGen vertex
  }
}

textures/ut4_italy/goatpoop1
{
  qer_editorimage textures/ut4_italy/goatpoop1.jpg
  surfaceparm nomarks
  surfaceparm noimpact
  nomipmaps
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/goatpoop1.jpg
    alphaFunc GE128
    depthWrite
    rgbGen vertex
  }
}

// ============================================================================
// ============================== BOMB MARKERS ================================
// ============================================================================

textures/ut4_italy/bomb_b
{
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/bomb_b
    blendfunc filter
  }
}

textures/ut4_italy/bomb_r
{
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/bomb_r
    blendfunc filter
  }
}

textures/ut4_italy/arrow_b
{
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/arrow_b
    blendfunc filter
  }
}

textures/ut4_italy/arrow_r
{
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/arrow_r
    blendfunc filter
  }
}

// ============================================================================
// ================================= DECALS ===================================
// ============================================================================

textures/ut4_italy/stains1
{
  polygonOffset
  nomipmaps
  nopicmip
  entityMergable
  {
    map textures/ut4_italy/stains1
    blendfunc filter
  }
}

textures/ut4_italy/stains2
{
  polygonOffset
  nomipmaps
  nopicmip
  entityMergable
  {
    map textures/ut4_italy/stains2
    blendfunc filter
  }
}

textures/ut4_italy/stains3
{
  polygonOffset
  nomipmaps
  nopicmip
  entityMergable
  {
    map textures/ut4_italy/stains3
    blendfunc filter
  }
}

textures/ut4_italy/crack1
{
  polygonOffset
  nomipmaps
  nopicmip
  entityMergable
  {
    map textures/ut4_italy/crack1
    blendfunc filter
  }
}

textures/ut4_italy/glassmark1
{
  qer_editorimage gfx/damage/marks/nonbreakglass.tga
  nopicmip
  polygonOffset
  entityMergable
  {
    clampmap gfx/damage/marks/nonbreakglass.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen vertex
    alphaGen vertex
  }
}

textures/ut4_italy/lobster
{ 
  qer_editorimage textures/ut4_italy/lobster1.tga
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/lobster1.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen vertex
    alphaGen vertex
  }
}

textures/ut4_italy/damage1
{ 
  qer_editorimage textures/ut4_italy/damage1.tga
  nopicmip
  polygonOffset
  entityMergable
  {
    map textures/ut4_italy/damage1.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    rgbGen vertex
    alphaGen vertex
  }
}

// ============================================================================
// ================================= MODELS ===================================
// ============================================================================

models/mapobjects/br_trees/tree9
{
  qer_editorimage models/mapobjects/br_trees/tree9.tga
  qer_alphafunc gequal 0.5
  surfaceparm alphashadow
  surfaceparm trans
  cull none
  nopicmip
  {
    map models/mapobjects/br_trees/tree9.tga
    alphaFunc GE128
    depthWrite
    rgbGen vertex
  }
}

models/mapobjects/br_toxic2/br_light1
{
  qer_editorimage models/mapobjects/br_toxic2/br_light2.jpg
  {
    map models/mapobjects/br_toxic2/br_light2.jpg
  }
}

